﻿using System;
using System.Linq;
using System.Linq.Expressions;
using System.Collections.Generic;

namespace Achiral.Extension
{
    public static partial class MakeWorld
    {
        public static void InvokeOrNop(this EventHandler handler, object sender, EventArgs e)
        {
            if (handler == null) return;

            handler(sender, e);
        }
        public static void InvokeOrNop<TEventArgs>(this EventHandler<TEventArgs> handler, object sender, TEventArgs e)
            where TEventArgs : EventArgs
        {
            if (handler == null) return;

            handler(sender, e);
        }
    }
}